Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.contribution.visualiser.core
Class ProviderManager

    java.lang.Object
      org.eclipse.contribution.visualiser.core.ProviderManager

public class ProviderManager
extends java.lang.Object

The provider manager parses the contents of the defined extensions to the extension-point org.eclipse.contribution.visualiser.providers. Two extensions are allowed - one for the content of the visualiser and one for the markups within the content of the visualiser. The markup one can be left out - but it rather limits the usefulness of the visualiser.

Field Summary
`static java.lang.String` | `PROVIDER_EXTENSION`

Method Summary
`static ProviderDefinition[]` | `getAllProviderDefinitions()` Get all provider definitions
`static IContentProvider` | `getContentProvider()` Get the currently active content provider
`static ProviderDefinition` | `getCurrent()` Get the current provider definition
`static IMarkupProvider` | `getMarkupProvider()` Get the currently active markup provider
`static ProviderManager` | `getProviderManager()` Get the single instance of the ProviderManager
`static void` | `initialise()` Initialise the provider manager - read in the definitions for all providers and initialise the content provider and markup provider classes
`static void` | `setCurrent(ProviderDefinition definition)` Set the current provider definition.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROVIDER_EXTENSION

    public static final java.lang.String PROVIDER_EXTENSION

See Also:
  Constant Field Values

Method Detail

### getContentProvider

    public static IContentProvider getContentProvider()

  Get the currently active content provider

  Returns:
    the currently active content provider

### getMarkupProvider

    public static IMarkupProvider getMarkupProvider()

  Get the currently active markup provider

  Returns:
    the currently active markup provider

### initialise

    public static void initialise()

  Initialise the provider manager - read in the definitions for all providers and initialise the content provider and markup provider classes

### getProviderManager

    public static ProviderManager getProviderManager()

  Get the single instance of the ProviderManager

  Returns:
    the single instance of the ProviderManager

### getAllProviderDefinitions

    public static ProviderDefinition[] getAllProviderDefinitions()

  Get all provider definitions

### getCurrent

    public static ProviderDefinition getCurrent()

  Get the current provider definition

  Returns:
    the current provider definition

### setCurrent

    public static void setCurrent(ProviderDefinition definition)

  Set the current provider definition. Activates the asociated content and markup providers

  Parameters:
    `definition` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD